
Redmine - Patch #14828

Patch to add support for deleting attachments via API

2013-09-03 12:40 - Michael Medin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.3.0   

Description

A patch to add support for deleting attachments via the REST API:

 app/controllers/attachments_controller.rb | 2 +-

 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app/controllers/attachments_controller.rb b/app/controllers/attachments_controller.rb

index 5a816a7..31fcb8a 100644

--- a/app/controllers/attachments_controller.rb

+++ b/app/controllers/attachments_controller.rb

@@ -21,7 +21,7 @@ class AttachmentsController < ApplicationController

   before_filter :delete_authorize, :only => :destroy

   before_filter :authorize_global, :only => :upload

-  accept_api_auth :show, :download, :upload

+  accept_api_auth :show, :download, :upload, :destroy

   def show

     respond_to do |format|

 Usage:

DELETE /attachments/[id].[format]

 // Michael Medin

Related issues:

Related to Redmine - Feature #17879: support deleting attachments Closed

Has duplicate Redmine - Patch #22308: delete attachments over REST API Closed

Associated revisions

Revision 15332 - 2016-04-12 21:18 - Jean-Philippe Lang

Support for deleting attachments via API (#14828).

Patch by Takenori TAKAKI.

History

#1 - 2013-10-24 10:31 - Emmanuel Mathot

Its working fine!

Thank you!

#2 - 2016-03-23 03:10 - Go MAEDA

- Related to Feature #17879: support deleting attachments added

#3 - 2016-03-23 09:20 - Go MAEDA

- Has duplicate Patch #22308: delete attachments over REST API added

#4 - 2016-03-23 09:22 - Go MAEDA
- Target version set to Candidate for next major release

#5 - 2016-03-23 09:27 - Go MAEDA

- File patch.diff added

Here is an updated patch by Oliver Luethi (#22308) : patch.diff

#6 - 2016-04-12 02:51 - Takenori TAKAKI

- File add_support_for_deleting_attachments_via_api_trunk_r15327.patch added

I have updated the patch as below:

Compatible with latest trunk (r15327)

Added test-codes

I would be very happy if I could see the feature in Redmine 3.3.0.

#7 - 2016-04-12 20:48 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 3.3.0

#8 - 2016-04-12 21:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

Files

patch.diff 1.12 KB 2016-03-23 Go MAEDA

add_support_for_deleting_attachments_via_api_trunk_r15327.patch 1.88 KB 2016-04-12 Takenori TAKAKI
